Support Center

Are there technical requirements?

Last Updated: Jul 29, 2013 01:08PM CDT

Volerro is a secure, cloud-based solution. The only technical requirements are an Internet connection and a web browser.

We recommend the Google Chrome web browser for the most optimal response and user experience. The Chrome web browser implements automatic updates so the user is never out of sync with the most current/recent version, which is why we recommend Chrome. 

Other web browsers we support include:
Internet Explorer (IE) 8 and above; recommended with Chrome frame
Internet Explorer (IE) 7 and below; Chrome frame required
Firefox 4.0
Safari 5.1
 

Contact Us

support@volerro.com
http://assets1.desk.com/
false
volerro
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete